Plugin-Kompatibilität zu CMSimple_XH 1.7

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
cmb
Posts: 11901
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Mon Sep 04, 2017 11:13 am

Hartmut wrote:Oh, ich hatte nicht mitbekommen, das es schon Version 3.6.4 gibt und folglich ging ich von meiner Online Plugin Dokumentation (3.6.2) aus.
Bei Svasti wird die Memberpages_XH 3.6.1 zum Download angeboten, auf Github hatte ich nicht nach der aktuellsten Version gesucht und hier im Forum war mir beim Monitoring neuer Einträge (und vorhin in der Onlinesuche) kein Eintrag aufgefallen das 3.6.4 veröffentlicht worden ist.

Bezüglich svastis Plugins läuft es derzeit sehr suboptimal. Da er keine Zeit für die Wartung hat, hatte ich alle Plugins, die unter XH 1.7/PHP 7 Probleme verursachen, auf https://github.com/cmsimple-xh eingestellt, und soweit möglich bereits angepasst. Dass die älteren Versionen teilweise noch auf http://svasti.de/ angeboten werden, und vor allem auch, dass die Versionsprüfung noch dort nachschaut ist unschön. Wer also eines von svastis Plugins nutzt, sollte prüfen, ob auf https://github.com/cmsimple-xh eine aktuellere Version angeboten wird. Falls ja, sollte diese installiert werden, und dann müsste eigentlich die Update-Prüfung auch wieder funktionieren (sprich, neue Versionen, die auf Github freigegeben wurden, anzeigen).
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

frase
Posts: 1486
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby frase » Mon Sep 04, 2017 11:42 am

Da fällt mir auf, dass es schon eine Menge XH-Plugins auf Github gibt.
Unter anderem auch viele von einem gewissen "cmb69".
Wäre es nicht schöner, wenn so nach und nach, und soweit wir Einfluss darauf haben, alle XH-Plugins unter Repositories eingestellt würden?
Dann hätte man eine aktuelle Anlaufstelle?

cmb
Posts: 11901
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Mon Sep 04, 2017 12:57 pm

frase wrote:Wäre es nicht schöner, wenn so nach und nach, und soweit wir Einfluss darauf haben, alle XH-Plugins unter Repositories eingestellt würden?

Ich denke eher nicht. Überhaupt Plugins unter https://github.com/cmsimple-xh einzustellen, ist eine Notlösung. Schon für https://github.com/cmsimple-xh/cmsimple-xh reicht die Manpower kaum aus. Ich finde, eine Übersicht über vorhandene Plugins sollte an anderer Stelle gepflegt werden, wo dann auf die jeweiligen Repos (wenn es überhaupt welche gibt) verlinkt werden kann.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

frase
Posts: 1486
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby frase » Mon Sep 04, 2017 1:01 pm

Na gut.
(Hab grad keine Zeit ;-) )

Hartmut
Posts: 406
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Mon Sep 04, 2017 5:24 pm

cmb wrote:
frase wrote:Wäre es nicht schöner, wenn so nach und nach, und soweit wir Einfluss darauf haben, alle XH-Plugins unter Repositories eingestellt würden?

Ich denke eher nicht. Überhaupt Plugins unter https://github.com/cmsimple-xh einzustellen, ist eine Notlösung. Schon für https://github.com/cmsimple-xh/cmsimple-xh reicht die Manpower kaum aus. Ich finde, eine Übersicht über vorhandene Plugins sollte an anderer Stelle gepflegt werden, wo dann auf die jeweiligen Repos (wenn es überhaupt welche gibt) verlinkt werden kann.

ich melde mich als Freiwilliger für die Pflege der vorhandenen Plugins, da es unter http://cmsimplexh.webdesign-keil.de/?CM ... en/Plugins schon eine relativ umfangreiche Stelle von mir gibt und mit der "neuen" Pluginverwaltung zusammengeführt werden könnte.

Mögliche Inhalte für die neue Pluginverwaltung könnten sein ...
  • die Inhalte der o.g. Plugin Reverenzliste beinhalten.
  • ein Platz für verweiste Plugins.
  • eine optionale Plugin Download Möglichkeit.
  • eine optionale / alternative zentrale Stelle für die Versionsüberprüfung.
  • eine Editiermöglichkeit für Plugin Entwickler.
  • ...

Gibt es eine Möglichkeit über Änderungen von Plugins die auf Github liegen informiert zu werden?
Dann bräuchte man dort nicht alle Plugins zyklisch "abklappern" um sich über neue Versionen zu informieren.

Viele Grüße
Hartmut

cmb
Posts: 11901
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby cmb » Mon Sep 04, 2017 6:23 pm

Hartmut wrote:Gibt es eine Möglichkeit über Änderungen von Plugins die auf Github liegen informiert zu werden?
Dann bräuchte man dort nicht alle Plugins zyklisch "abklappern" um sich über neue Versionen zu informieren.

Wie ich gerade gelernt habe, erstellt Github automatisch einen News-Feed der Releases, z.B. https://github.com/cmsimple-xh/cmsimple ... eases.atom. Diese könntest du auf die ein oder andere Weise abonnieren.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

lck
Posts: 983
Joined: Wed Mar 23, 2011 11:43 am
Location: Germany
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7 - Keymaster_XH

Postby lck » Mon Sep 04, 2017 7:48 pm

Dass das Plugin Keymaster_XH inkompatibel mit CMSimple_XH 1.7.0 ist, wurde ja bereits hier dokumentiert.

Den Admin-Bereich konnte ich durch diese Änderung in der keymaster/classes/controller.php Zeile 374 aktivieren:

Code: Select all

// if ($adm && isset($keymaster) && $keymaster == 'true') {
if (function_exists('XH_wantsPluginAdministration') && XH_wantsPluginAdministration('keymaster') || isset($keymaster)) 

Funktioniert soweit wie es soll :) (Gibt halt noch ein paar DEPRECATED-Meldungen im Debug-Modus, aber die sind ja harmlos)

Aber dennoch gibt es ein Problem, wenn man das Passwort ändert und speichert, wird man ja automatisch ausgeloggt. Beim Versuch sich erneut anzumelden (auch nach der eingestellten Wartezeit in der Konfiguration) erscheint in der Seite oben der Hinweis:
(!) Die Website wird bereits von jemand anderem bearbeitet. Versuchen Sie es später noch einmal.

In der key-Datei wurde beim Ausloggen auch das Sternchen (Schlüssel) nicht zurückgeschrieben, fügt man es manuell ein, so kann man sich wieder einloggen (Getestet unter Xampp mit PHP 7.1.1).
Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig ;)       ► CMSimple_XH Templates & OnePage-Templates ◄

cmb
Posts: 11901
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7 - Keymaster_XH

Postby cmb » Mon Sep 04, 2017 10:09 pm

lck wrote:Aber dennoch gibt es ein Problem, wenn man das Passwort ändert und speichert, wird man ja automatisch ausgeloggt. Beim Versuch sich erneut anzumelden (auch nach der eingestellten Wartezeit in der Konfiguration) erscheint in der Seite oben der Hinweis:
[…]

Dass man nach dem Ändern des Passworts sich erst mal nicht mehr anmelden kann, ist nicht neu, und auch als Beschränkung dokumentiert. Das gedenke ich auch nicht zu ändern, weil ich es ohnehin befremdlich finde, dass man nach einer Passwortänderungen ausgeloggt wird, und weil dieser Fall ja eher selten vorkommt.

Dass man sich aber auch nach der Wartezeit nicht wieder anmelden kann, wäre ein Fehler. Ich versuche es mir anzuschauen – fällt mir aber besonders schwer, weil der Keymaster_XH ohnehin nur ein garstiger Workaround für fehlendes Offline-Locking von Dateien ist. Hier sind gerade aber auch Pluginentwickler gefordert ihre Plugins diesbezüglich nachzubessern – da gibt es zumindest für mich viel zu tun.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

lck
Posts: 983
Joined: Wed Mar 23, 2011 11:43 am
Location: Germany
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby lck » Thu Sep 07, 2017 10:23 am

cmb wrote:Dass man sich aber auch nach der Wartezeit nicht wieder anmelden kann, wäre ein Fehler.

Kein Fehler im Plugin, sondern ein Fehler von mir, sorry, funktioniert wie es soll.
Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig ;)       ► CMSimple_XH Templates & OnePage-Templates ◄

Hartmut
Posts: 406
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Postby Hartmut » Mon Sep 18, 2017 5:42 pm

Hallo,

ich habe ein paar Fragen zum Plugin Xhshop 1.0 Umfeld. ;-)

Unter CMSimple_XH 1.7.0 und PHP 5.3 / 5.6 funktioniert das Plugin Xhshop 1.0 bei mir fehlerfrei. Gibt es unter PHP 7.x für Xhshop 1.0 schon Erfahrungswerte?

Für den Betrieb von Xhshop 1.0 mit CMSimple_XH 1.7.0 wäre auch der Einsatz der Plugins "Sitemapper" und "Adc" sinnvoll.
"Sitemapper" 2.0.2 (ohne Workaround für die Adminoberfläche) liefert mit CMSimple_XH 1.7.0 einen Whitescreen mit "fataler Fehlermeldung".

Adc 0.1beta habe ich mit CMSimple_XH 1.7.0 und PHP 5.3 getestet und es sieht aus meiner Sicht gut aus, da die adc Konfiguration geändert und gespeichert werden kann.

Gibt es für eine funktionierende Kombination CMSimple_XH 1.7.0 und Sitemapper schon ein Zeitziel?

Viele Grüße
Hartmut


Return to “Deutsch”

Who is online

Users browsing this forum: manu and 1 guest